#include <Servo.h>

int value = 0 ;
int vec_angle[4];

Servo servo_pin_11;
Servo servo_pin_10;
Servo servo_pin_9;
Servo servo_pin_5;

void turnservo();
void initarray();
void initservo();

void setup()
{
  for (int i=0;i<4;i++) vec_angle[i]=0;

  servo_pin_11.attach(11);
  servo_pin_10.attach(10);
  servo_pin_9.attach(9);
  servo_pin_5.attach(5);
  initarray();
  initservo();
}

void loop()
{
  for (int i= 0; i <  4 ; i++ )
  {
    value = analogRead(i) ;
    if (value  >  612)
    {
      vec_angle[i] = vec_angle[i] - 1 ;
    }
    else
    {
      if ( value < 412 )
      {
        vec_angle[i] = vec_angle[i] + 1 ;
      }
    }
  }
  turnservo();
  delay( 20 );
}

void initarray()
{
  vec_angle[0] = 90 ;
  vec_angle[1] = 90 ;
  vec_angle[2] = 90 ;
  vec_angle[3] = 25 ;
}

void turnservo()
{
  servo_pin_11.write( vec_angle[0] );
  servo_pin_10.write( vec_angle[1] );
  servo_pin_9.write( vec_angle[2] );
  servo_pin_5.write( vec_angle[3] );
}

void initservo()
{
  servo_pin_11.write( vec_angle[0] );
  servo_pin_10.write( vec_angle[1] );
  servo_pin_9.write( vec_angle[2] );
  servo_pin_5.write( vec_angle[3] );
}


